jQuery(document).ready(function($) {
    // Open modal
    $('#openModalBtn').on('click', function() {
        
        $('#myModal').css('display', 'flex');
    });
    // Close modal (button)
    $('#closeModalBtn').on('click', function() {
        $('#myModal').hide();
        $('#descriptionResult').html('');
        $('#vehicleInput').val('');
    });
    // Close modal (click outside content)
    $('#myModal').on('click', function(e) {
        if (e.target === this) {
            $(this).hide();
            $('#descriptionResult').html('');
            $('#vehicleInput').val('');
        }
    });
   // Generate Description AJAX
    $('#generateBtn').on('click', function() {
        var vehicleInfo = $('#vehicleInput').val().trim();
        if (!vehicleInfo) {
            $('#descriptionResult').html("<span style='color:red;'>Please enter vehicle info.</span>");
            $('#useDescriptionBtn').hide();
            return;
        }
        $('#descriptionResult').html("Generating description...");
        $('#useDescriptionBtn').hide();

        $.ajax({
            url: vdai_ajax_obj.ajax_url,
            type: 'POST',
            data: {
                action: 'vdai_generate_description',
                vehicle_info: vehicleInfo,
                _ajax_nonce: vdai_ajax_obj.nonce
            },
            success: function(response) {
                if (response.success) {
                    // Store plain text in a data attribute for easier access
                    $('#descriptionResult').html("<strong>Description:</strong><br><span id='desc-output'>" + $('<div>').text(response.data.description).html() + "</span>");
                    $('#useDescriptionBtn').show();
                } else {
                    $('#descriptionResult').html("<span style='color:red;'>" + (response.data.message || 'Error') + "</span>");
                    $('#useDescriptionBtn').hide();
                }
            },
            error: function() {
                $('#descriptionResult').html("<span style='color:red;'>AJAX error.</span>");
                $('#useDescriptionBtn').hide();
            }
        });
    });

    // Use Description Button
   $('#useDescriptionBtn').on('click', function() {
    var desc = $('#desc-output').text();

    // 1. Set textarea value (text editor)
    var $editorTextarea = $('#car_description');
    if ($editorTextarea.length) {
        $editorTextarea.val(desc);
    }

    // 2. Set content in TinyMCE (visual editor)
    if (typeof tinymce !== "undefined" && tinymce.get('car_description')) {
        tinymce.get('car_description').setContent(desc);
    }

    // Optionally close modal & reset
    $('#myModal').hide();
    $('#descriptionResult').html('');
    $('#vehicleInput').val('');
    $('#useDescriptionBtn').hide();
  });
});
